5466df7d0d27 — Chris Cannam 3 years ago
Update before install; seems to be necessary (based on other projects) to avoid recent Ruby-related error
1 files changed, 1 insertions(+), 0 deletions(-)

M .travis.yml
M .travis.yml +1 -0
@@ 11,6 11,7 @@ addons:
       - valgrind
 
 before_install:
+  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then brew update ; fi
   - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then brew install libsamplerate ; fi
   - if [[ "$TRAVIS_OS_NAME" = "linux" ]] ; then ( cd .. ; curl -O http://www.mega-nerd.com/SRC/libsamplerate-0.1.9.tar.gz && tar xvzf libsamplerate-0.1.9.tar.gz && cd libsamplerate-0.1.9 && ./configure --enable-static --disable-shared && make && sudo make install ) ; fi
   - ( cd .. ; git clone https://github.com/breakfastquay/bqvec )